{ pkgs, config, lib, ... }:

with lib;
let
  cfg = config.modules.hardware.tablet;
in {
  options.modules.hardware.tablet = {
    enable = mkEnableOption "Enable drawing tablet support";
  };

  config = mkIf cfg.enable {
    hardware.opentabletdriver.enable = true;
    hardware.opentabletdriver.daemon.enable = true;
  };
}
